version: '{build}'
os: Windows Server 2012
environment:
  appveyor_build_worker_cloud: gce
install:
  - ps: |
      Add-Type -AssemblyName System.IO.Compression.FileSystem
      if (!(Test-Path -Path "C:\maven" )) {
        (new-object System.Net.WebClient).DownloadFile(
          'http://www.us.apache.org/dist/maven/maven-3/3.2.5/binaries/apache-maven-3.2.5-bin.zip',
          'C:\maven-bin.zip'
        )
        [System.IO.Compression.ZipFile]::ExtractToDirectory("C:\maven-bin.zip", "C:\maven")
      }
  - cmd: SET PATH=C:\maven\apache-maven-3.2.5\bin;%JAVA_HOME%\bin;%PATH%
  - cmd: SET MAVEN_OPTS=-Xmx1g
  - cmd: SET JAVA_OPTS=-Xmx1g
  - cmd: SET M2_HOME=C:\maven\apache-maven-3.2.5
  - cmd: SET JAVA_HOME=C:\Program Files\Java\jdk10
build_script:
  - echo ignore this
test_script:
  - mvn -B clean install --batch-mode
cache:
  - C:\maven\
  - C:\Users\appveyor\.m2
